/* .articles_main_section {
    margin-bottom: 6.25rem;
}

.section-title {
    margin-bottom: 44px;
}

.article-container {
    display: flex;
    flex-direction: column;
    gap: 16px;
    height: 184px;
    border: solid 1px #EF9004;
    border-radius: 24px;
    padding: 16px 10px;
    transition: all 0.5s;
}

.article-date {
    font-size: 20px;
    line-height: 32px;
    color: #EF9004;
}

.article-date i {
    margin-right: 14px;
}

.article-title {
    font-size: 20px;
    font-weight: 700;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    line-clamp: 1;
    box-orient: vertical;
}

.article-preview-text {
    font-size: 20px;
    line-height: 32px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-clamp: 2;
    box-orient: vertical;
}*/

.articles_main_section a {
  text-decoration: none;
}

.show-all-button {
    margin-top: 44px;
    margin-bottom: 44px;
}

.show-all-btn {
    padding: 10px 20px;
    border: solid 1px #EF9004;
    border-radius: 24px;
    color: #EF9004;
    font-size: 20px;
    transition: all 0.3s;
}

.show-all-btn:hover {
    background-color: #EF9004;
    color: #FFFFFF;
}

/*.article-container:hover {
    transform: scale(1.015);
} */

.article-container {
  padding: 16px;
  background-color: #ECECEC;
  border-radius: 24px;
  display: flex;
  flex-direction: column;
  gap: 12px;
  transition: all 0.3s;
  height: 100%;
}

.article-container:hover {
  background-color: #F9E8CE;
}

.article-img-container {
  width: 256px;
  height: 128px;
  border: solid 1px #EF9004;
  border-radius: 24px;
  margin-left: auto;
  margin-right: auto;
  overflow: hidden;
  margin-bottom: 12px;
  background-position: center center !important;
  background-repeat: no-repeat !important;
  background-size: cover !important;
}

.article-img-container img{
  width: 100%;
  height: auto;
  object-fit: cover;
  object-position: center center;
}

.article-name {
  color: #EF9004;
  text-decoration: underline;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2; /* Установите нужное количество строк */
  overflow: hidden;
}

.article-author {
  font-weight: 500;
  font-size: 18px;
}

.article-date {
  font-weight: 500;
  font-size: 18px;
  color: #000000;
}

.article-date-readtime {
  margin-top: auto;
  display: flex;
  justify-content: space-between;
  color: #000000;
}

.hr.article {
  border-color: #EF9004;
}

/* .p_wrapper_fw {
  position: relative;
}

.p_wrapper_fw .article-img-container {
  border: solid 1px #EF9004;
  border-radius: 24px;
  position: relative;
  max-width: 256px;
  min-width: 256px;
  height: 128px;
  line-height: 128px;
  margin: 0 auto;
  padding: 0px;
  vertical-align: middle;
  text-align: center;
  zoom: 1;
  display: block;
}

.p_wrapper_fw img {
  max-width: 100%;
  max-height: 100%;
  position: absolute;
  margin: auto;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border: 0;
  vertical-align: middle;
  max-width: 100%;
} */



@media (max-width: 992px) {

    .article-container {
        gap: 8px;
        /* height: 120px; */
        padding: 10px 10px;
    }

    .article-date {
        font-size: 15px;
        line-height: 20px;
    }

    .article-title {
        font-size: 15px;
        font-weight: 700;
    }

    .article-preview-text {
        font-size: 15px;
        line-height: 20px;
    }

    .show-all-button {
        margin-top: 22px;
    }

    .show-all-btn {
        padding: 8px 16px;
        font-size: 15px;
    }
}